	.arch armv8-a
	.file	"asm-offsets.c"
// GNU C89 (crosstool-NG 1.23.0.418-d590) version 8.3.0 (aarch64-unknown-linux-gnu)
//	compiled by GNU C version 8.3.0, GMP version 6.1.2, MPFR version 4.0.2, MPC version 1.1.0, isl version isl-0.21-GMP

// GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
// options passed:  -fpreprocessed /tmp/distccd_0d188c8e.i -mlittle-endian
// -mgeneral-regs-only -mpc-relative-literal-loads -march=armv8-a
// -mabi=lp64 -auxbase-strip /tmp/distccd_0d158c8e.o -O2 -Wall -Wundef
// -Wstrict-prototypes -Wno-trigraphs -Werror=implicit-function-declaration
// -Wno-format-security -Wno-frame-address -Wformat-truncation=0
// -Wformat-overflow=0 -Wno-int-in-bool-context -Wno-attribute-alias
// -Wframe-larger-than=2048 -Wno-unused-but-set-variable
// -Wunused-const-variable=0 -Wdeclaration-after-statement
// -Wno-pointer-sign -Werror=implicit-int -Werror=strict-prototypes
// -Werror=date-time -std=gnu90 -p -fno-strict-aliasing -fno-common
// -fno-PIE -fno-delete-null-pointer-checks -fno-stack-protector
// -fno-omit-frame-pointer -fno-optimize-sibling-calls
// -fno-var-tracking-assignments -fno-strict-overflow -fstack-check=no
// -fconserve-stack -fverbose-asm
// options enabled:  -faggressive-loop-optimizations -falign-labels
// -fasynchronous-unwind-tables -fauto-inc-dec -fbranch-count-reg
// -fcaller-saves -fchkp-check-incomplete-type -fchkp-check-read
// -fchkp-check-write -fchkp-instrument-calls -fchkp-narrow-bounds
// -fchkp-optimize -fchkp-store-bounds -fchkp-use-static-bounds
// -fchkp-use-static-const-bounds -fchkp-use-wrappers -fcode-hoisting
// -fcombine-stack-adjustments -fcompare-elim -fcprop-registers
// -fcrossjumping -fcse-follow-jumps -fdefer-pop -fdevirtualize
// -fdevirtualize-speculatively -fdwarf2-cfi-asm -fearly-inlining
// -feliminate-unused-debug-types -fexpensive-optimizations
// -fforward-propagate -ffp-int-builtin-inexact -ffunction-cse -fgcse
// -fgcse-lm -fgnu-runtime -fgnu-unique -fguess-branch-probability
// -fhoist-adjacent-loads -fident -fif-conversion -fif-conversion2
// -findirect-inlining -finline -finline-atomics
// -finline-functions-called-once -finline-small-functions -fipa-bit-cp
// -fipa-cp -fipa-icf -fipa-icf-functions -fipa-icf-variables -fipa-profile
// -fipa-pure-const -fipa-reference -fipa-sra -fipa-vrp
// -fira-hoist-pressure -fira-share-save-slots -fira-share-spill-slots
// -fisolate-erroneous-paths-dereference -fivopts -fkeep-static-consts
// -fleading-underscore -flifetime-dse -flra-remat -flto-odr-type-merging
// -fmath-errno -fmerge-constants -fmerge-debug-strings
// -fmove-loop-invariants -fomit-frame-pointer -foptimize-strlen
// -fpartial-inlining -fpeephole -fpeephole2 -fplt -fprefetch-loop-arrays
// -fprofile -free -freg-struct-return -freorder-blocks -freorder-functions
// -frerun-cse-after-loop -fsched-critical-path-heuristic
// -fsched-dep-count-heuristic -fsched-group-heuristic -fsched-interblock
// -fsched-last-insn-heuristic -fsched-pressure -fsched-rank-heuristic
// -fsched-spec -fsched-spec-insn-heuristic -fsched-stalled-insns-dep
// -fschedule-fusion -fschedule-insns -fschedule-insns2 -fsection-anchors
// -fsemantic-interposition -fshow-column -fshrink-wrap
// -fshrink-wrap-separate -fsigned-zeros -fsplit-ivs-in-unroller
// -fsplit-wide-types -fssa-backprop -fssa-phiopt -fstdarg-opt
// -fstore-merging -fstrict-volatile-bitfields -fsync-libcalls
// -fthread-jumps -ftoplevel-reorder -ftrapping-math -ftree-bit-ccp
// -ftree-builtin-call-dce -ftree-ccp -ftree-ch -ftree-coalesce-vars
// -ftree-copy-prop -ftree-cselim -ftree-dce -ftree-dominator-opts
// -ftree-dse -ftree-forwprop -ftree-fre -ftree-loop-if-convert
// -ftree-loop-im -ftree-loop-ivcanon -ftree-loop-optimize
// -ftree-parallelize-loops= -ftree-phiprop -ftree-pre -ftree-pta
// -ftree-reassoc -ftree-scev-cprop -ftree-sink -ftree-slsr -ftree-sra
// -ftree-switch-conversion -ftree-tail-merge -ftree-ter -ftree-vrp
// -funit-at-a-time -funwind-tables -fverbose-asm -fwrapv -fwrapv-pointer
// -fzero-initialized-in-bss -mfix-cortex-a53-835769
// -mfix-cortex-a53-843419 -mgeneral-regs-only -mglibc -mlittle-endian
// -momit-leaf-frame-pointer -mpc-relative-literal-loads

	.text
	.global	_mcount
	.section	.text.startup,"ax",@progbits
	.align	2
	.p2align 3,,7
	.global	main
	.type	main, %function
main:
.LFB1798:
	.cfi_startproc
	stp	x29, x30, [sp, -16]!	//,,,
	.cfi_def_cfa_offset 16
	.cfi_offset 29, -16
	.cfi_offset 30, -8
	mov	x29, sp	//,
	mov	x0, x30	//,
	bl	_mcount		//
#APP
// 35 "arch/arm64/kernel/asm-offsets.c" 1
	
->TSK_ACTIVE_MM 936 offsetof(struct task_struct, active_mm)	//
// 0 "" 2
// 36 "arch/arm64/kernel/asm-offsets.c" 1
	
->	
// 0 "" 2
// 37 "arch/arm64/kernel/asm-offsets.c" 1
	
->TI_FLAGS 0 offsetof(struct thread_info, flags)	//
// 0 "" 2
// 38 "arch/arm64/kernel/asm-offsets.c" 1
	
->TI_PREEMPT 80 offsetof(struct thread_info, preempt_count)	//
// 0 "" 2
// 39 "arch/arm64/kernel/asm-offsets.c" 1
	
->TI_ADDR_LIMIT 8 offsetof(struct thread_info, addr_limit)	//
// 0 "" 2
// 40 "arch/arm64/kernel/asm-offsets.c" 1
	
->TI_TASK 16 offsetof(struct thread_info, task)	//
// 0 "" 2
// 41 "arch/arm64/kernel/asm-offsets.c" 1
	
->TI_EXEC_DOMAIN 24 offsetof(struct thread_info, exec_domain)	//
// 0 "" 2
// 42 "arch/arm64/kernel/asm-offsets.c" 1
	
->TI_CPU 84 offsetof(struct thread_info, cpu)	//
// 0 "" 2
// 43 "arch/arm64/kernel/asm-offsets.c" 1
	
->	
// 0 "" 2
// 44 "arch/arm64/kernel/asm-offsets.c" 1
	
->THREAD_CPU_CONTEXT 1520 offsetof(struct task_struct, thread.cpu_context)	//
// 0 "" 2
// 45 "arch/arm64/kernel/asm-offsets.c" 1
	
->	
// 0 "" 2
// 46 "arch/arm64/kernel/asm-offsets.c" 1
	
->S_X0 0 offsetof(struct pt_regs, regs[0])	//
// 0 "" 2
// 47 "arch/arm64/kernel/asm-offsets.c" 1
	
->S_X1 8 offsetof(struct pt_regs, regs[1])	//
// 0 "" 2
// 48 "arch/arm64/kernel/asm-offsets.c" 1
	
->S_X2 16 offsetof(struct pt_regs, regs[2])	//
// 0 "" 2
// 49 "arch/arm64/kernel/asm-offsets.c" 1
	
->S_X3 24 offsetof(struct pt_regs, regs[3])	//
// 0 "" 2
// 50 "arch/arm64/kernel/asm-offsets.c" 1
	
->S_X4 32 offsetof(struct pt_regs, regs[4])	//
// 0 "" 2
// 51 "arch/arm64/kernel/asm-offsets.c" 1
	
->S_X5 40 offsetof(struct pt_regs, regs[5])	//
// 0 "" 2
// 52 "arch/arm64/kernel/asm-offsets.c" 1
	
->S_X6 48 offsetof(struct pt_regs, regs[6])	//
// 0 "" 2
// 53 "arch/arm64/kernel/asm-offsets.c" 1
	
->S_X7 56 offsetof(struct pt_regs, regs[7])	//
// 0 "" 2
// 54 "arch/arm64/kernel/asm-offsets.c" 1
	
->S_LR 240 offsetof(struct pt_regs, regs[30])	//
// 0 "" 2
// 55 "arch/arm64/kernel/asm-offsets.c" 1
	
->S_SP 248 offsetof(struct pt_regs, sp)	//
// 0 "" 2
// 57 "arch/arm64/kernel/asm-offsets.c" 1
	
->S_COMPAT_SP 104 offsetof(struct pt_regs, compat_sp)	//
// 0 "" 2
// 59 "arch/arm64/kernel/asm-offsets.c" 1
	
->S_PSTATE 264 offsetof(struct pt_regs, pstate)	//
// 0 "" 2
// 60 "arch/arm64/kernel/asm-offsets.c" 1
	
->S_PC 256 offsetof(struct pt_regs, pc)	//
// 0 "" 2
// 61 "arch/arm64/kernel/asm-offsets.c" 1
	
->S_ORIG_X0 272 offsetof(struct pt_regs, orig_x0)	//
// 0 "" 2
// 62 "arch/arm64/kernel/asm-offsets.c" 1
	
->S_SYSCALLNO 280 offsetof(struct pt_regs, syscallno)	//
// 0 "" 2
// 63 "arch/arm64/kernel/asm-offsets.c" 1
	
->S_FRAME_SIZE 288 sizeof(struct pt_regs)	//
// 0 "" 2
// 64 "arch/arm64/kernel/asm-offsets.c" 1
	
->	
// 0 "" 2
// 65 "arch/arm64/kernel/asm-offsets.c" 1
	
->MM_CONTEXT_ID 704 offsetof(struct mm_struct, context.id)	//
// 0 "" 2
// 66 "arch/arm64/kernel/asm-offsets.c" 1
	
->	
// 0 "" 2
// 67 "arch/arm64/kernel/asm-offsets.c" 1
	
->VMA_VM_MM 64 offsetof(struct vm_area_struct, vm_mm)	//
// 0 "" 2
// 68 "arch/arm64/kernel/asm-offsets.c" 1
	
->VMA_VM_FLAGS 80 offsetof(struct vm_area_struct, vm_flags)	//
// 0 "" 2
// 69 "arch/arm64/kernel/asm-offsets.c" 1
	
->	
// 0 "" 2
// 70 "arch/arm64/kernel/asm-offsets.c" 1
	
->VM_EXEC 4 VM_EXEC	//
// 0 "" 2
// 71 "arch/arm64/kernel/asm-offsets.c" 1
	
->	
// 0 "" 2
// 72 "arch/arm64/kernel/asm-offsets.c" 1
	
->PAGE_SZ 4096 PAGE_SIZE	//
// 0 "" 2
// 73 "arch/arm64/kernel/asm-offsets.c" 1
	
->	
// 0 "" 2
// 74 "arch/arm64/kernel/asm-offsets.c" 1
	
->CPU_INFO_SZ 24 sizeof(struct cpu_info)	//
// 0 "" 2
// 75 "arch/arm64/kernel/asm-offsets.c" 1
	
->CPU_INFO_SETUP 16 offsetof(struct cpu_info, cpu_setup)	//
// 0 "" 2
// 76 "arch/arm64/kernel/asm-offsets.c" 1
	
->	
// 0 "" 2
// 77 "arch/arm64/kernel/asm-offsets.c" 1
	
->DMA_BIDIRECTIONAL 0 DMA_BIDIRECTIONAL	//
// 0 "" 2
// 78 "arch/arm64/kernel/asm-offsets.c" 1
	
->DMA_TO_DEVICE 1 DMA_TO_DEVICE	//
// 0 "" 2
// 79 "arch/arm64/kernel/asm-offsets.c" 1
	
->DMA_FROM_DEVICE 2 DMA_FROM_DEVICE	//
// 0 "" 2
// 80 "arch/arm64/kernel/asm-offsets.c" 1
	
->	
// 0 "" 2
// 81 "arch/arm64/kernel/asm-offsets.c" 1
	
->CLOCK_REALTIME 0 CLOCK_REALTIME	//
// 0 "" 2
// 82 "arch/arm64/kernel/asm-offsets.c" 1
	
->CLOCK_MONOTONIC 1 CLOCK_MONOTONIC	//
// 0 "" 2
// 83 "arch/arm64/kernel/asm-offsets.c" 1
	
->CLOCK_REALTIME_RES 1 MONOTONIC_RES_NSEC	//
// 0 "" 2
// 84 "arch/arm64/kernel/asm-offsets.c" 1
	
->CLOCK_REALTIME_COARSE 5 CLOCK_REALTIME_COARSE	//
// 0 "" 2
// 85 "arch/arm64/kernel/asm-offsets.c" 1
	
->CLOCK_MONOTONIC_COARSE 6 CLOCK_MONOTONIC_COARSE	//
// 0 "" 2
// 86 "arch/arm64/kernel/asm-offsets.c" 1
	
->CLOCK_COARSE_RES 10000000 LOW_RES_NSEC	//
// 0 "" 2
// 87 "arch/arm64/kernel/asm-offsets.c" 1
	
->NSEC_PER_SEC 1000000000 NSEC_PER_SEC	//
// 0 "" 2
// 88 "arch/arm64/kernel/asm-offsets.c" 1
	
->	
// 0 "" 2
// 89 "arch/arm64/kernel/asm-offsets.c" 1
	
->VDSO_CS_CYCLE_LAST 0 offsetof(struct vdso_data, cs_cycle_last)	//
// 0 "" 2
// 90 "arch/arm64/kernel/asm-offsets.c" 1
	
->VDSO_XTIME_CLK_SEC 8 offsetof(struct vdso_data, xtime_clock_sec)	//
// 0 "" 2
// 91 "arch/arm64/kernel/asm-offsets.c" 1
	
->VDSO_XTIME_CLK_NSEC 16 offsetof(struct vdso_data, xtime_clock_nsec)	//
// 0 "" 2
// 92 "arch/arm64/kernel/asm-offsets.c" 1
	
->VDSO_XTIME_CRS_SEC 24 offsetof(struct vdso_data, xtime_coarse_sec)	//
// 0 "" 2
// 93 "arch/arm64/kernel/asm-offsets.c" 1
	
->VDSO_XTIME_CRS_NSEC 32 offsetof(struct vdso_data, xtime_coarse_nsec)	//
// 0 "" 2
// 94 "arch/arm64/kernel/asm-offsets.c" 1
	
->VDSO_WTM_CLK_SEC 40 offsetof(struct vdso_data, wtm_clock_sec)	//
// 0 "" 2
// 95 "arch/arm64/kernel/asm-offsets.c" 1
	
->VDSO_WTM_CLK_NSEC 48 offsetof(struct vdso_data, wtm_clock_nsec)	//
// 0 "" 2
// 96 "arch/arm64/kernel/asm-offsets.c" 1
	
->VDSO_TB_SEQ_COUNT 56 offsetof(struct vdso_data, tb_seq_count)	//
// 0 "" 2
// 97 "arch/arm64/kernel/asm-offsets.c" 1
	
->VDSO_CS_MULT 60 offsetof(struct vdso_data, cs_mult)	//
// 0 "" 2
// 98 "arch/arm64/kernel/asm-offsets.c" 1
	
->VDSO_CS_SHIFT 64 offsetof(struct vdso_data, cs_shift)	//
// 0 "" 2
// 99 "arch/arm64/kernel/asm-offsets.c" 1
	
->VDSO_TZ_MINWEST 68 offsetof(struct vdso_data, tz_minuteswest)	//
// 0 "" 2
// 100 "arch/arm64/kernel/asm-offsets.c" 1
	
->VDSO_TZ_DSTTIME 72 offsetof(struct vdso_data, tz_dsttime)	//
// 0 "" 2
// 101 "arch/arm64/kernel/asm-offsets.c" 1
	
->VDSO_USE_SYSCALL 76 offsetof(struct vdso_data, use_syscall)	//
// 0 "" 2
// 102 "arch/arm64/kernel/asm-offsets.c" 1
	
->	
// 0 "" 2
// 103 "arch/arm64/kernel/asm-offsets.c" 1
	
->TVAL_TV_SEC 0 offsetof(struct timeval, tv_sec)	//
// 0 "" 2
// 104 "arch/arm64/kernel/asm-offsets.c" 1
	
->TVAL_TV_USEC 8 offsetof(struct timeval, tv_usec)	//
// 0 "" 2
// 105 "arch/arm64/kernel/asm-offsets.c" 1
	
->TSPEC_TV_SEC 0 offsetof(struct timespec, tv_sec)	//
// 0 "" 2
// 106 "arch/arm64/kernel/asm-offsets.c" 1
	
->TSPEC_TV_NSEC 8 offsetof(struct timespec, tv_nsec)	//
// 0 "" 2
// 107 "arch/arm64/kernel/asm-offsets.c" 1
	
->	
// 0 "" 2
// 108 "arch/arm64/kernel/asm-offsets.c" 1
	
->TZ_MINWEST 0 offsetof(struct timezone, tz_minuteswest)	//
// 0 "" 2
// 109 "arch/arm64/kernel/asm-offsets.c" 1
	
->TZ_DSTTIME 4 offsetof(struct timezone, tz_dsttime)	//
// 0 "" 2
// 110 "arch/arm64/kernel/asm-offsets.c" 1
	
->	
// 0 "" 2
// 112 "arch/arm64/kernel/asm-offsets.c" 1
	
->VCPU_CONTEXT 256 offsetof(struct kvm_vcpu, arch.ctxt)	//
// 0 "" 2
// 113 "arch/arm64/kernel/asm-offsets.c" 1
	
->CPU_GP_REGS 0 offsetof(struct kvm_cpu_context, gp_regs)	//
// 0 "" 2
// 114 "arch/arm64/kernel/asm-offsets.c" 1
	
->CPU_USER_PT_REGS 0 offsetof(struct kvm_regs, regs)	//
// 0 "" 2
// 115 "arch/arm64/kernel/asm-offsets.c" 1
	
->CPU_FP_REGS 336 offsetof(struct kvm_regs, fp_regs)	//
// 0 "" 2
// 116 "arch/arm64/kernel/asm-offsets.c" 1
	
->CPU_SP_EL1 272 offsetof(struct kvm_regs, sp_el1)	//
// 0 "" 2
// 117 "arch/arm64/kernel/asm-offsets.c" 1
	
->CPU_ELR_EL1 280 offsetof(struct kvm_regs, elr_el1)	//
// 0 "" 2
// 118 "arch/arm64/kernel/asm-offsets.c" 1
	
->CPU_SPSR 288 offsetof(struct kvm_regs, spsr)	//
// 0 "" 2
// 119 "arch/arm64/kernel/asm-offsets.c" 1
	
->CPU_SYSREGS 864 offsetof(struct kvm_cpu_context, sys_regs)	//
// 0 "" 2
// 120 "arch/arm64/kernel/asm-offsets.c" 1
	
->VCPU_ESR_EL2 1352 offsetof(struct kvm_vcpu, arch.fault.esr_el2)	//
// 0 "" 2
// 121 "arch/arm64/kernel/asm-offsets.c" 1
	
->VCPU_FAR_EL2 1360 offsetof(struct kvm_vcpu, arch.fault.far_el2)	//
// 0 "" 2
// 122 "arch/arm64/kernel/asm-offsets.c" 1
	
->VCPU_HPFAR_EL2 1368 offsetof(struct kvm_vcpu, arch.fault.hpfar_el2)	//
// 0 "" 2
// 123 "arch/arm64/kernel/asm-offsets.c" 1
	
->VCPU_HCR_EL2 1344 offsetof(struct kvm_vcpu, arch.hcr_el2)	//
// 0 "" 2
// 124 "arch/arm64/kernel/asm-offsets.c" 1
	
->VCPU_IRQ_LINES 2184 offsetof(struct kvm_vcpu, arch.irq_lines)	//
// 0 "" 2
// 125 "arch/arm64/kernel/asm-offsets.c" 1
	
->VCPU_HOST_CONTEXT 1376 offsetof(struct kvm_vcpu, arch.host_cpu_context)	//
// 0 "" 2
// 126 "arch/arm64/kernel/asm-offsets.c" 1
	
->VCPU_TIMER_CNTV_CTL 1984 offsetof(struct kvm_vcpu, arch.timer_cpu.cntv_ctl)	//
// 0 "" 2
// 127 "arch/arm64/kernel/asm-offsets.c" 1
	
->VCPU_TIMER_CNTV_CVAL 1992 offsetof(struct kvm_vcpu, arch.timer_cpu.cntv_cval)	//
// 0 "" 2
// 128 "arch/arm64/kernel/asm-offsets.c" 1
	
->KVM_TIMER_CNTVOFF 1872 offsetof(struct kvm, arch.timer.cntvoff)	//
// 0 "" 2
// 129 "arch/arm64/kernel/asm-offsets.c" 1
	
->KVM_TIMER_ENABLED 1864 offsetof(struct kvm, arch.timer.enabled)	//
// 0 "" 2
// 130 "arch/arm64/kernel/asm-offsets.c" 1
	
->VCPU_KVM 0 offsetof(struct kvm_vcpu, kvm)	//
// 0 "" 2
// 131 "arch/arm64/kernel/asm-offsets.c" 1
	
->VCPU_VGIC_CPU 1384 offsetof(struct kvm_vcpu, arch.vgic_cpu)	//
// 0 "" 2
// 132 "arch/arm64/kernel/asm-offsets.c" 1
	
->VGIC_CPU_HCR 308 offsetof(struct vgic_cpu, vgic_hcr)	//
// 0 "" 2
// 133 "arch/arm64/kernel/asm-offsets.c" 1
	
->VGIC_CPU_VMCR 312 offsetof(struct vgic_cpu, vgic_vmcr)	//
// 0 "" 2
// 134 "arch/arm64/kernel/asm-offsets.c" 1
	
->VGIC_CPU_MISR 316 offsetof(struct vgic_cpu, vgic_misr)	//
// 0 "" 2
// 135 "arch/arm64/kernel/asm-offsets.c" 1
	
->VGIC_CPU_EISR 320 offsetof(struct vgic_cpu, vgic_eisr)	//
// 0 "" 2
// 136 "arch/arm64/kernel/asm-offsets.c" 1
	
->VGIC_CPU_ELRSR 328 offsetof(struct vgic_cpu, vgic_elrsr)	//
// 0 "" 2
// 137 "arch/arm64/kernel/asm-offsets.c" 1
	
->VGIC_CPU_APR 336 offsetof(struct vgic_cpu, vgic_apr)	//
// 0 "" 2
// 138 "arch/arm64/kernel/asm-offsets.c" 1
	
->VGIC_CPU_LR 340 offsetof(struct vgic_cpu, vgic_lr)	//
// 0 "" 2
// 139 "arch/arm64/kernel/asm-offsets.c" 1
	
->VGIC_CPU_NR_LR 304 offsetof(struct vgic_cpu, nr_lr)	//
// 0 "" 2
// 140 "arch/arm64/kernel/asm-offsets.c" 1
	
->KVM_VTTBR 656 offsetof(struct kvm, arch.vttbr)	//
// 0 "" 2
// 141 "arch/arm64/kernel/asm-offsets.c" 1
	
->KVM_VGIC_VCTRL 672 offsetof(struct kvm, arch.vgic.vctrl_base)	//
// 0 "" 2
// 144 "arch/arm64/kernel/asm-offsets.c" 1
	
->CPU_SUSPEND_SZ 96 sizeof(struct cpu_suspend_ctx)	//
// 0 "" 2
// 145 "arch/arm64/kernel/asm-offsets.c" 1
	
->CPU_CTX_SP 88 offsetof(struct cpu_suspend_ctx, sp)	//
// 0 "" 2
// 146 "arch/arm64/kernel/asm-offsets.c" 1
	
->MPIDR_HASH_MASK 0 offsetof(struct mpidr_hash, mask)	//
// 0 "" 2
// 147 "arch/arm64/kernel/asm-offsets.c" 1
	
->MPIDR_HASH_SHIFTS 8 offsetof(struct mpidr_hash, shift_aff)	//
// 0 "" 2
// 148 "arch/arm64/kernel/asm-offsets.c" 1
	
->SLEEP_SAVE_SP_SZ 16 sizeof(struct sleep_save_sp)	//
// 0 "" 2
// 149 "arch/arm64/kernel/asm-offsets.c" 1
	
->SLEEP_SAVE_SP_PHYS 8 offsetof(struct sleep_save_sp, save_ptr_stash_phys)	//
// 0 "" 2
// 150 "arch/arm64/kernel/asm-offsets.c" 1
	
->SLEEP_SAVE_SP_VIRT 0 offsetof(struct sleep_save_sp, save_ptr_stash)	//
// 0 "" 2
#NO_APP
	mov	w0, 0	//,
	ldp	x29, x30, [sp], 16	//,,,
	.cfi_restore 30
	.cfi_restore 29
	.cfi_def_cfa_offset 0
	ret	
	.cfi_endproc
.LFE1798:
	.size	main, .-main
	.ident	"GCC: (crosstool-NG 1.23.0.418-d590) 8.3.0"
	.section	.note.GNU-stack,"",@progbits
